Functions of GRASS do not work in the Processing for QGIS 3.4.7/3.6.2... but work in the Processing 

for QGIS 3.4.7/3.6.2 with GRASS 7.6.1

2019-04-23 09:51 AM - Olivier ATHIMON

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.4.7 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 29720

Description

In Windows (installation OSGeo4W), We can't use GRASS in Processing when we launch the shortcut "QGIS Desktop 3.4.7" or

"QGIS Desktop 3.6.2".... It's impossible to use any functions of GRASS (in processing) : r.reclass, r.mapcalc.simple, ...

=> The function return a message error with a bad path : "C:\OSGEO4~2\bin\bin" instead of "C:\OSGEO4~2\bin"...

On the contrary, always in windows, we can use GRASS in Processing when we launch the shortcuts "QGIS Desktop 3.4.7 with

GRASS 7.6.1" or "QGIS Desktop 3.6.2 with GRASS 7.6.1". So we can use any functions of GRASS in processing without any

problem. (See pic with r.mapcalc.simple)

History

#1 - 2019-04-30 10:39 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

That's why there is a separate shortcut.

#2 - 2019-05-07 12:05 AM - Eduardo Rojas Rodriguez

feedback:

I think it would be good if the error message does not say that it is missing a folder, rather it should indicate the use of QGIS with GRASS. This is because

it is a new behavior. in QGIS 3.4.6, changing the name of the folder from grass76 to grass-7.6.1, (#21678) the error was "solved" and the grass commands

could be used from QGIS (without) GRASS

So indicate that it is now mandatory to use QGIS with GRASS to use the grass modules, is a good idea.
